#include "NodePosition.h"

namespace cosi {

namespace rules {

namespace wiredbas {

NodePosition::NodePosition(std::list< Position > pPositions){
	mPositions = pPositions ;
}

NodePosition::~NodePosition(){

}

std::list< Position > NodePosition::GetPositions(){
	return mPositions ;
}

void NodePosition::AddPosition(Position pP){
	mPositions.push_back(pP) ;
}

}

}

}
